@charset "UTF-8";

/* 全体 */
html {
    scroll-behavior: smooth;

    font-size: 62.5%; /* font-size 1em = 10px on default browser settings */
}


html, body, #wrapper {
    height: 100%;
}


body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Noto Sans JP', sans-serif;
    font-size: 1.6rem;
    overflow-y: scroll;
}

em{
    font-style:normal;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
    -moz-appearance:textfield;
}

.pc {
    display: block;
}

.sp {
    display: none;
}

label{
    cursor: pointer;
}

.test{
    border:1px solid red;
}

#wrapper {
    margin: 0 auto 30px;
    display: flex;
    flex-direction: column;
}

#home #wrapper {
    height:100%;
}

#header {
    margin: 0 auto;
    background-color: #fff;
    width: 100%;
    z-index: 3;
}

#home #header {
    margin: 0 auto 8%;
}

header {
    margin: 0 auto;
    padding: 24px 0;
    display: flex;
    justify-content: space-between;
    width: 90%;
}
header img{
    width: clamp(117px,16.8vw, 240px);
}
#home #container {
    padding-top: 0;

}
#container {
    padding-top: 65px;
    margin: 0 auto 30px;
    list-style-type: none;
    width: 80%;
    max-width: 1200px;
    font-size: clamp(0.9375rem, 0.7620614035087719rem + 0.8771929824561403vw, 1.5625rem);

    /*font-size: clamp(15px,1vw,25px);*/
}

fieldset {
    margin: 0;
    padding: 0;
    border: none;
}

section {
    border: 4px solid #6e6978;
    border-radius: 20px;
}

h1 {
    height: 51px;
    display: flex;
}


h2 {
    margin-bottom: 30px;
    color: #666;
    text-align: center;
}

/* トップページ */
body#home #header {
    position: static;
}

body#home #container {
    color: #666;
    text-align: center;
    width: clamp(821px, 50%, 1280px);
    font-size: clamp(10px,2vw,20px);
    margin: 0 auto 60px;
}

body#home #container p:first-child {
    margin-bottom: 70px;
}

body#home #container p:nth-child(2) {
    margin-bottom: 80px;
    color: #999;
    font-weight: bold;
}

body#home #container p img {
    margin: 0 auto;
}

body#home #footer {
    background-color: #a5a2aa;
    color: #fff;
    width: 100%;
    font-size: clamp(10px,1.5vw,20px);
    padding: 30px 0;
    text-align: center;

    bottom: 0;
}

body#home #footer div {
    text-align: center;
}

body#home #footer div div {
    text-align: left;
    display: inline-block;
}

body#home #footer div div div {
    text-indent: 1em;
}

body#home button {

    border: 1px solid #a5a2aa;
    border-radius: 40px;
    background-color: #a5a2aa;
    color: #fff;
    width: calc(100% / 3.5);
    line-height: 1.3;
    font-family: 'Nunito Sans', sans-serif;
    font-size: clamp(22px,3vw,42px);
    letter-spacing: 0.2rem;
    cursor: pointer;
}

body#home button:hover {
    cursor: pointer;
    border: 1px solid #6e6978;
    background-color: #6e6978;
}

body#home #footer ul {
    list-style-type: none;
}

/* 製品カテゴリー選択 */
#category {
    padding: 30px;
}

.category_box {
    width: 560px;
    display: flex;
    justify-content: space-between;
    margin: 0 auto;
}

#category div > div {
    margin: 0 10px;
    text-align: center;
}

#category div > div p {
    display: inline-block;
}

#category div > div > p:first-child {
    margin-bottom: 10px;
}

#category div > div > p:last-child {
    margin: 0 5px 10px;
    padding: 10px 30px;
    border: 1px solid #6e6978;
    border-radius: 20px;
    font-weight: bold;
    text-align: center;
}

/* 製品を選択 */
#item h2 {
    padding-top: 30px;
}

#item_select {
    display: flex;
    flex-wrap: wrap;
    align-content: flex-start;
    justify-content: center;
    margin: 0 auto 30px;
    width: min(90%, 1000px);
    gap:20px 10px
}

/*#item_select p:nth-child(odd) {*/
/*    margin: 0 5px 20px 0;*/
/*}*/

/*#item_select p:nth-child(even) {*/
/*    margin: 0 0 20px 5px;*/
/*}*/

/* 製品を選択(子カテゴリ選択) */
#detail {
    border-top: 2px solid #6e6978;
    padding: 20px 40px 40px 40px;
    background-color: #f6f6f6;
    border-radius: 0 0 20px 20px;
}

#detail h3 {
    margin-bottom: 20px;
    text-align: center;
    text-decoration: underline;
}

#detail p {
    margin-bottom: 20px;
}

#detail #detail_select {
    display: flex;
    justify-content: center;
}

/* 製品を選択(子カテゴリ選択：右パネル) */
#detail_select div#detail_select_left {
    position: relative;
    top: 30px;
    left: 0;
    z-index: 2;
}

#detail_select div#detail_select_left p {
    position: relative;
    width: 500px;
    height: 40px;
}

#detail_select div#detail_select_left p span {
    position: absolute;
    top: -3px;
    right: -5px;
    font-size: 2.6rem;
    font-weight: normal;
}

#detail_select div#detail_select_left p span.close {
    position: absolute;
    top: -3px;
    right: 42px;
    font-size: 2.6rem;
}

#detail_select div.detail_select_right{
    padding: 30px 30px 20px;
    border: 1px solid #6e6978;
    border-radius: 20px;
    background-color: #eee;
    z-index: 1;
}
#detail_select div.detail_select_right_dummy {
    width: 482px;
}

/* 仕様・サイズを選択 */
#size {
    padding: 30px 40px;
    margin-bottom: 50px;
}

#size_select {
    display: flex;
    flex-wrap: wrap;
    gap:15px;
    justify-content: space-around;
}

#size_select dl {
    margin-bottom: 20px;
    width: 50%;
    flex:0 1 48%;
}

#size_select dt {
    margin-bottom: 20px;
    text-align: center;
    font-weight: bold;
}

#size_select dd {
    margin-bottom: 20px;
    text-align: center;
}

/* 製品幅を入力 */
#item_width,#item_width2 {
    display: flex;
    margin-bottom: 20px;
    padding: 20px;
    border: 4px solid #333;
    border-radius: 15px;
    background-color: #f6f6f6;
    justify-content: space-between;
    align-items: center;
}

#item_width div,#item_width2 div {
    display: flex;
    justify-content: flex-end;
}

/* 製品幅を入力（1段・2段共通） */
#item_width p,
#item_width2 p {
    font-size: clamp(15px, 1.9vw, 22px);
    font-weight: bold;
}
#item_width span,
#item_width2 span {
    font-size: clamp(12px, 1.5vw, 15px);
    text-indent: -1rem;
}
#item_width .title br,
#item_width2 .title br{
    display: none;
}
#size .title {
    padding-left: 10px;
    width: 100%;
}

#size .input_num {
    display: flex;
    margin-left: 20px;
    width: 40px;
}

#size .input_num::before {
    content: "";
    display: block;
    border: 20px solid transparent;
    border-top: 20px solid #333;
    border-bottom-width: 0;
    margin-left: 20px;
    transform: translateX(-50%) rotate(-90deg);
}
#size .input_num input {
    width: 100px;
}
#size .input_num span {
    margin: 0 50px 0 10px;
    font-size: 1.6rem;
}

#size .num {
    padding: 1% 2% 1% 1%;
    border: 1px solid #ccc;
    width: max(20%,150px);
    text-align: right;
    font-size: 5rem;
    height: auto;
    font-weight: bold;
    display: block;
    box-sizing: border-box;
  line-height: 1;
}

#size .mm {
    display: flex;
    align-items: flex-end;
    height: 60px;
}

#size .num::placeholder {
    color: #333;
}

/* 計算結果(1段・2段共通) */
#result,
#result2 {
    margin-bottom: 20px;
    border: 4px solid #333;
    border-radius: 15px;
    background-color: #f6f6f6;
}

#result, #result2 {
    line-height: 1.2;
}

#result div,
#result2, #result2 div > div {
    display: flex;
}
#result2 > div > div {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
}
#result2 div > div  div {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.result_title {
    padding: 20px;
    border-right: 1px solid #333;
    font-size: clamp(15px, 1.9vw, 22px);
    font-weight: bold;
    text-align: center;
}

.result_subtitle {
    position: relative;
    font-size: clamp(15px, 1.9vw, 22px);;
}

.result_subtitle .error {
    position: absolute;
    top: clamp(30px, 4vw,50px);
    left: 20px;
    color: #f00;
    font-size: 1.2rem;
}

.result_num_cursor {
    display: flex;
    width: 40px;
}

.result_num_cursor::before {
    content: "";
    display: block;
    border: 20px solid transparent;
    border-top: 20px solid #333;
    border-bottom-width: 0;
    margin-left: 20px;
    transform: translateX(-50%) rotate(-90deg);
}

.result_num {
    margin: 0 10px 0 0;
    font-size: 6rem;
    font-weight: bold;
    width: max(20%,160px);
    text-align: right;
}

/* 計算結果(1段) */
#result div + p:first-child {
    width: 18%;
}

#result div > p:nth-of-type(2) {
    width: 52%;
}

#result div > p:last-of-type {
    width: 37%;
}

/* 計算結果(2段) */
#result2 div {
    width: 100%;
}

#result2 > div > div.output2 {
    border-top: 1px solid #333;
}

#result2 > p:first-of-type {
    width: 20%;
    display: flex;
    align-items: center;
    justify-content: center;
}

#result2 .result_subtitle {
    width: 100%;
}
#result2 .mm {
    display: flex;
    align-items: flex-end;
    height: 60px;
    font-size: clamp(15px, 1.9vw, 22px);
    font-weight: bold;
}

/* 計算結果下 */

#result_ex > div {
    display: flex;
    margin-bottom: 30px;
}

#result_ex > div > div {
    flex-basis: 40%;
}

#result_ex .image {
    padding-left: 5%;
    flex-basis: 60%;
}

#result_ex .title {
    margin-bottom: 20px;
    padding: 2px;
    width: 100%;
    position: relative;
    border: 1px solid #6e6978;
    border-radius: 15px;
    background-color: #6e6978;
    color: #fff;
    text-align: center;
}

#result_ex .title::after {
    content: "";
    display: block;
    position: absolute;
    left: 50%;
    width: 0;
    height: 0;
    transform: translateX(-50%);
    border: 12px solid transparent;
    border-top: 12px solid #6e6978;
    border-bottom-width: 0;
}

#result_ex table {
    border-collapse: collapse;
    font-size: 1.3rem;
}

#result_ex th, #result_ex td {
    padding: 5px 10px;
}

#result_ex td {
    font-weight: bold;
}

#result_ex th {
    vertical-align: top;
    text-align-last: justify;
    width: 30%;
}

#result_ex p:last-of-type {
    text-align: center;
}

#result_ex button {
    padding: 10px 60px;
    border: 1px solid #6e6978;
    border-radius: 30px;
    background-color: #fff;
    color: #666;
    font-size: 1.3rem;
    cursor: pointer;
}

/* ラジオボタン(共通設定) */
.radio_label {
    font-weight: bold;
}

/* ラジオボタン(製品カテゴリー選択) */
#category .radio_input {
    clip: rect(1px, 1px, 1px, 1px);
    position: absolute;
}

#category .radio_label {
    /*display: inline-block;*/
    height: 90px;
    padding: 0 30px;
    box-sizing: border-box;
    /*margin-right: 18px;*/
    border: 2px solid #6e6978;
    border-radius: 20px;
    color: #666;
    transition: all .2s;
    display: grid;
    place-items: center;
}

#category .radio_input:checked + .radio_label {
    background-color: #6e6978;
    color: #fff;
    text-shadow: 0 0 1px rgba(0, 0, 0, .7);
}

#category .radio_input:checked + .off {
    color: #666;
}

#category .radio_input:focus + .radio_label {
    outline-color: #6e6978;
    /*outline-offset: -2px;*/
    outline-style: auto;
    outline-width: 5px;
}

/* ラジオボタン(製品を選択) */
#item_select .radio_label {
    /*width: 480px;*/
width:clamp(420px,28vw, 480px);
}


#detail_select div.detail_select_right .radio_label {
    width: 420px;
}

#detail_select label.open {
    width: 520px;
}

#detail_select label {
    width: 470px;
}

/* ラジオボタン(サイズを選択) */
#size .radio_label {
    width:100%;
}

/* ラジオボタン(製品を選択、サイズを選択) */
#item .radio_input,
#size .radio_input {
    clip: rect(1px, 1px, 1px, 1px);
    position: absolute;
}

#item .radio_label,
#size .radio_label {
    display: inline-block;
    padding: 5px;
    border-radius: 20px;
    border: 2px solid #6e6978;
    background-color: #fff;
    color: #666;
    transition: all .2s;
    text-align: center;
}

#item .radio_input:checked + .radio_label,
#item #detail_select_left .radio_input:checked + .radio_label,
#size .radio_input:checked + .radio_label {
    background-color: #6e6978;
    color: #fff;
    text-shadow: 0 0 1px rgba(0, 0, 0, .7);
}

#item .radio_input:focus + .radio_label,
#size .radio_input:focus + .radio_label {
    outline-color: #6e6978;
    /*outline-offset: -2px;*/
    outline-style: auto;
    outline-width: 5px;
}

/* 共通パーツ */
.active {
    border: 4px solid #6e6978;
}

.arrow {
    position: relative;
    margin-bottom: 70px;
}

.arrow::before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 50%;
    width: 0;
    height: 0;
    transform: translateX(-50%);
    border: 30px solid transparent;
    border-top: 30px solid #333;
    border-bottom-width: 0;
}

.v_line {
    margin-left: 50%;
    width: 3px;
    height: 60px;
    background-color: #6e6978;
}

/* ページ内リンク */
.side_link {
    position: fixed;
    color: #6e6978;
    right: 0;
    bottom: 100px;
}

.side_link div {
    position: absolute;
    bottom: 0;
    right: 5px;
}

.side_link p {
    margin: 0 0 5px 0;
    font-size: 0.8rem;
    text-align: center;
}

.side_link ul {
    margin-bottom: 30px;
    width: 60px;
    font-weight: bold;
    list-style-type: none;
    padding-left: 0;
}

.side_link li {
    writing-mode: vertical-lr;
    letter-spacing: 0.1em;
}

.side_link a {
    display: block;
    padding: 5px 20px;
    background-color: #fff;
    color: #6e6978;
    min-height: 100px;
    text-align: center;
    text-decoration: none;
    cursor: pointer;
}

.side_link li:first-of-type a {
    border-top: 3px solid #6e6978;
    border-left: 3px solid #6e6978;
    border-bottom: 1px solid #6e6978;
    border-radius: 15px 0 0 0;
}

.side_link li:nth-of-type(2) a {
    border-left: 3px solid #6e6978;
    border-bottom: 1px solid #6e6978;
}

.side_link li:last-of-type a {
    border-bottom: 3px solid #6e6978;
    border-left: 3px solid #6e6978;
    border-radius: 0 0 0 15px;
}

.side_link a:hover {
    background-color: #6e6978;
    color: #fff;
}

.side_link a.selected{
    background-color: #6e6978;
    color: #fff;
}
.u1288{
    display: none;
}
.o1288{
    display: block;
}

/* 1280 */
@media only screen and (max-width:1372px) {
    /*#item_select p:nth-child(odd) {*/
    /*    margin: 0 0 20px 0;*/
    /*}*/

    /*#item_select p:nth-child(even) {*/
    /*    margin: 0 0 20px 0;*/
    /*}*/
    .o1288{
        display: none;
    }
    .u1288{
        display: block;
    }
    #detail .detail_select_right {
        margin-bottom: 20px;
        margin-top: -25px;
    }
    #detail_select div#detail_select_left div.detail_select_right p {
        width: 100%;
    }
    #detail_select div.detail_select_right .radio_label {
        width: 100%;
    }
    #item_width .title br,
    #item_width2 .title br{
        display: block;
    }
}

/* スマートフォン */
@media only screen and (max-width: 820px) {
    .pc {
        display: none;
    }

    .sp {
        display: block;
    }
    body#home #container {
        width: 90%;
    }
    #container {
        margin: 20px auto;
        padding: 0 20px 100px;
    }
    .active{
        border:none;
    }
section{
    border: none;
}
    header p img{
        width: 150px;
    }
    .container_box01 {
        padding: 0 40px;
    }

    body#home #container p img {
        padding-top: initial;
    }

    body#home #container p:nth-child(2) {
        padding-left: 1em;
        text-indent: -1em;
        margin-bottom: 50px;
        font-size: 1.4rem;
    }
    body#home button {
        font-size: 4rem;
        padding: 0 12%;
        width: auto;
    }
    body#home #footer {
        font-size: 1.3rem;
    }
    #category{
        margin: 0 auto 10%;
        padding: initial;
    }
    #category .radio_label {
        height: 10vh;
    }
    #category div > div{
        margin:0 0 10% 0;
    }
    .category_box {
        width: 100%;
        justify-content: space-around;
        flex-flow: row wrap;
    }
    .category_box div{
        flex:0 1 45%;
    }

    .category_box div p img{
        width: min(30vw, 150px);
    }

    #item_select {
        padding: 0;
        flex-flow: column;
        width: 100%;
    }

    /* 製品を選択(子カテゴリ選択) */
    #detail {
        padding: 0;
        background-color: #fff;
        border-radius: initial;
    }
    #detail h3 {
        margin-bottom: 20px;
        margin-top: 20px;
    }
    #detail #detail_select {

    }


    #detail #detail_select_left,
    #detail .detail_select_right {
        flex:0 1 100%;
    }

    #detail .detail_select_right.sp p:last-child{
        margin-bottom: 10px;
    }
    #detail .detail_select_right.sp p:last-child{
        margin-bottom: 0;
    }
    /* 製品を選択(子カテゴリ選択：右パネル) */
    #detail_select div#detail_select_left{
        top:0;
    }
    #detail_select div#detail_select_left p {
        position: relative;
        width: 100%;
        height: 40px;
    }
    #detail_select div#detail_select_left p span,
    #detail_select div#detail_select_left p span.close{
        right: 10px;
    }

    /* ラジオボタン(製品を選択) */
    #item_select .radio_label {
        width: 100%;
    }
    #detail_select label {
        width: 100%;
    }

    #detail_select label.open {
        width: 100%;
    }
    #detail_select div.detail_select_right .radio_label {
        width: 100%;
    }

    /* ラジオボタン(サイズを選択) */
    #size .radio_label {
        width: 100%;
    }
    /* 仕様・サイズを選択 */
    #size {
        padding: 30px 0;
    }
    #size .num {
        font-size: 4rem;
    }
    .result_num {
        font-size: 5rem;
    }
    #result2 > div > div {
        padding: 5px;
    }
    .result_title {
        padding: 5px;
    }
    #item_width,
    #item_width2 {
        padding: 5px;
    }

    /* 計算結果下 */

    #result_ex > div {
        flex-flow: column;
        align-items: center;
    }

    #result_ex > div > div {
        margin-bottom: 30px;
    }

    /* ページ内リンク */
    .side_link {
        position: fixed;
        width: 100%;
        bottom: 0;
        z-index: 99;
    }
    .side_link div{
        position: initial;
        right: initial;
    }

    .side_link p {
        display: none;
    }

    .side_link ul {
        display: flex;
        margin-bottom: 0;
        justify-content: space-between;
        width: 100%;
    }

    .side_link li {
        writing-mode:initial;
        align-items: center;
        width: 100%;
        text-align: center;
        font-weight: bold;
    }

    .side_link a {
        display: block;
        padding: 5%;
        border-top: 1px solid #6e6978;
        background-color: #fff;
        color: #6e6978;
        text-decoration: none;
        min-height: initial;
    }


    .side_link li:first-of-type a {
        border-top: 1px solid #6e6978 !important;
        border-left: 1px solid #6e6978 !important;
        border-bottom: 1px solid #6e6978;
        border-radius: initial;
    }

    .side_link li:nth-of-type(2) a {
        border-left: 1px solid #6e6978;
        border-bottom: 1px solid #6e6978;
    }

    .side_link li:last-of-type a {
        border-bottom: 1px solid #6e6978;
        border-left: 1px solid #6e6978;
        border-radius: initial;
    }

    .side_link a:active {
        background-color: #6e6978;
        color: #fff;
    }
    body#home #footer {
        padding: initial;
    }
    body#home footer {
         margin: 0 auto;
        padding: 30px 0;
         width: 88%;
     }
}

/* スマートフォン */
@media only screen and (max-width: 767px) {

    #header header .logo img {
        width: 74%
    }
}